Bug 1462278 - No spinner when waiting for Cloud Key Pair to save
Summary: No spinner when waiting for Cloud Key Pair to save
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.9.0
Assignee: Martin Hradil
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:openstack:spinner
Depends On:
Blocks: 1462287
TreeView+ depends on / blocked
 
Reported: 2017-06-16 15:13 UTC by Martin Hradil
Modified: 2018-03-06 15:05 UTC (History)
6 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1462287 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:05:15 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Martin Hradil 2017-06-16 15:13:51 UTC
Description of problem:

When saving a Cloud Key Pair a task is created, and the UI waits for that task, but does not show a spinner to indicate waiting.


Version-Release number of selected component (if applicable):

5.8.0


How reproducible:

always


Steps to Reproduce:
1. Have a cloud Openstack provider
2. Navigate to Compute->Cloud->Key Pairs
3. Add a new key pair, submit the form


Actual results:

The UI appears to do nothing for a while, and then redirects.


Expected results:

A spinner should show after clicking that button, and dissapear only after the redirect.


Additional info:

Taken from https://bugzilla.redhat.com/show_bug.cgi?id=1444520 which deals with the wait time for that task.

Comment 4 Matouš Mojžíš 2017-11-15 14:47:30 UTC
Verified in 5.9.0.8. Spinner appears while waiting for cloud key pair to save.

Comment 5 Matouš Mojžíš 2018-02-22 17:39:01 UTC
One-time issue. Setting qe_test_coverage flag to -.


Note You need to log in before you can comment on or make changes to this bug.